Last Comment Bug 726402 - Intermittent test_bug369370.html | image width - got 400, expected 378, | image height - got 300, expected 284
: Intermittent test_bug369370.html | image width - got 400, expected 378, | ima...
Status: RESOLVED FIXED
[fixed-in-fx-team]
: intermittent-failure
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla13
Assigned To: Frank Yan (:fryn)
:
Mentors:
Depends on: 717143
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-02-11 22:39 PST by Phil Ringnalda (:philor)
Modified: 2013-11-13 02:19 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.01 KB, patch)
2012-02-18 03:44 PST, Frank Yan (:fryn)
bzbarsky: review+
Details | Diff | Review

Description Phil Ringnalda (:philor) 2012-02-11 22:39:06 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9271244&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-1/5 on 2012-02-11 18:38:20 PST for push 7e3d5c2879a8

74720 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | looking for imagedoc img - 1 should equal 1
74721 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking doc width - 400 should equal 400
74722 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking doc height - 300 should equal 300
74723 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74724 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74725 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollLeft - 0 should equal 0
74726 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollTop - 0 should equal 0
74727 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | ----- click 1 -----
74728 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | image width - 800 should equal 800
74729 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | image height - 600 should equal 600
74730 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollLeft - 0 should equal 0
74731 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollTop - 0 should equal 0
74732 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | ----- click 2 -----
74733 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74734 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74735 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollLeft - 0 should equal 0
74736 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollTop - 0 should equal 0
74737 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | ----- click 3 -----
74738 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | image width - 800 should equal 800
74739 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | image height - 600 should equal 600
74740 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollLeft - 400 should equal 400
74741 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | Checking scrollTop - 300 should equal 300
74742 INFO TEST-PASS | /tests/content/html/document/test/test_bug369370.html | ----- click 4 -----
74743 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74744 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
Comment 1 Treeherder Robot 2012-02-12 18:44:15 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9283070&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-1/5 on 2012-02-12 18:22:47

74738 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74739 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74748 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74749 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74758 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74759 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
Comment 2 Treeherder Robot 2012-02-13 22:34:40 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9316626&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-1/5 on 2012-02-13 21:30:59

74766 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74767 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74776 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74777 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74786 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74787 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
Comment 3 Treeherder Robot 2012-02-16 20:58:58 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9405427&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-1/5 on 2012-02-16 20:16:36

74726 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74727 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74736 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74737 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
74746 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
74747 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
Comment 4 Frank Yan (:fryn) 2012-02-18 03:44:41 PST
Created attachment 598516 [details] [diff] [review]
patch

Since the patch for bug 717143 removes the bogus margins, I've updated the test, and it will no longer be intermittent after landing this patch together with that patch.
Comment 5 Treeherder Robot 2012-03-06 08:23:52 PST
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=9851042&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitests-1/5 on 2012-03-06 06:08:46

84310 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
84311 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
84320 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
84321 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
84330 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image width - got 400, expected 378
84331 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug369370.html | image height - got 300, expected 284
Comment 6 Boris Zbarsky [:bz] (Out June 25-July 6) 2012-03-07 21:56:32 PST
Comment on attachment 598516 [details] [diff] [review]
patch

r=me
Comment 7 Frank Yan (:fryn) 2012-03-07 22:33:03 PST
Thanks for the review.

The try run with this patch came up all green:
https://people.mozilla.com/~fyan/tmp/fiximagesizing-tryserver.png

https://hg.mozilla.org/integration/fx-team/rev/9fd32eed57f8
Comment 8 Rob Campbell [:rc] (:robcee) 2012-03-08 06:49:06 PST
https://hg.mozilla.org/mozilla-central/rev/9fd32eed57f8

Note You need to log in before you can comment on or make changes to this bug.